Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 22 Aug 2014, 19:50
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Derivatives
Puppy 4.21 Barebones
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 3 [32 Posts]   Goto page: 1, 2, 3 Next
Author Message
aragon

Joined: 15 Oct 2007
Posts: 1698
Location: Germany

PostPosted: Wed 24 Jun 2009, 04:17    Post subject:  Puppy 4.21 Barebones  

Puppy 4.21 Barebones is a stripped down 4.21. It is build with unleashed. It gives you a running base-system (incl. Xorg/xvesa + alsa) but not more. It is just a base to build puplets on.

Due to the barebones-build, many actions will not work (because of the missing apps).

Download: http://puppylinux.ca/tpp/aragon/421bb/
Size: ~ 52 mb

Attached is a file with all included packages.

I tested it on 3 systems (1 desktop, 2 laptops) and it seems to run stable. Both wireless and wired network are working.

Note: Start with pfix=ram to not pick-up an existing save-file.

aragon
421-bb-on.txt.bz2
Description  Package-List
bz2

 Download 
Filename  421-bb-on.txt.bz2 
Filesize  6.34 KB 
Downloaded  604 Time(s) 

_________________
PUPPY SEARCH: http://wellminded.com/puppy/pupsearch.html
Back to top
View user's profile Send private message 
Lobster
Official Crustacean


Joined: 04 May 2005
Posts: 15117
Location: Paradox Realm

PostPosted: Wed 24 Jun 2009, 04:50    Post subject:  

Excellent Aragon Smile

Many will be happy.
Am I right it comes with no browser?
You could connect and then use the package manager to add a browser.
m m m this plus Puppy Browser would need extra libraries - but the big dog browsers would work.

This would seem the ideal for a 64 MB system.
Be very interesting how this is used Smile

_________________
Puppy WIKI
Back to top
View user's profile Send private message Visit poster's website 
aragon

Joined: 15 Oct 2007
Posts: 1698
Location: Germany

PostPosted: Wed 24 Jun 2009, 05:28    Post subject:  

hi lobster, you're right no browser.
and package-manager is working.

if it's ok for an 64 mb system... well you need to test.

good luck
aragon

_________________
PUPPY SEARCH: http://wellminded.com/puppy/pupsearch.html
Back to top
View user's profile Send private message 
aragon

Joined: 15 Oct 2007
Posts: 1698
Location: Germany

PostPosted: Wed 24 Jun 2009, 06:35    Post subject:  

hi lobster,

you might want to test the attached dillo.

known issues:
- ssl enabled, but does not work on the pages i've tested.
- download-plugin uses the php-link as filename e.g. in this forum. you need to type the correct name by hand.

the dillo is statically build with fltk in 4.21.

aragon
dillo-2.1.pet
Description 
pet

 Download 
Filename  dillo-2.1.pet 
Filesize  669.59 KB 
Downloaded  519 Time(s) 

_________________
PUPPY SEARCH: http://wellminded.com/puppy/pupsearch.html
Back to top
View user's profile Send private message 
aragon

Joined: 15 Oct 2007
Posts: 1698
Location: Germany

PostPosted: Wed 24 Jun 2009, 07:02    Post subject:  

lobster,

you might also want to try my cli-apps-package with this: http://www.murga-linux.com/puppy/viewtopic.php?p=318717#318717

aragon

_________________
PUPPY SEARCH: http://wellminded.com/puppy/pupsearch.html
Back to top
View user's profile Send private message 
technowomble


Joined: 11 Oct 2007
Posts: 76
Location: West Gloucestershire, UK

PostPosted: Thu 03 Sep 2009, 05:57    Post subject: Word processors won't run  

Aragon.

I'm building a personal Puppy on 4.2.1, mainly for imaging - it's on an elderly Dell laptop - I've installed Firefox 2.0.0.7 from the official pet list and Ttuuxx's Gimp 2.4, both run OK and I've set up desktop icons for them, BUT I can't get a word processor working. I've tried the official pet of Abiword, the Abiword 2.7 pet from the forum and even Open Office from the Puppy 3 pets. They install, ( as far as I can see from the file system ), but although the permissions are set to ' execute ' they won't run, from the menu entry or going into the file system. I'd be inclined to suspect that something was missing, but FF and Gimp run OK. Any thoughts?
Back to top
View user's profile Send private message 
tlchost

Joined: 05 Aug 2007
Posts: 1674
Location: Baltimore, Maryland USA

PostPosted: Thu 03 Sep 2009, 06:05    Post subject: Retro Version  

Would it be possible to create a 4.21 Retro version? Several of the computers I use require that.

Thanks

Thom
Back to top
View user's profile Send private message Visit poster's website 
jrb


Joined: 11 Dec 2007
Posts: 1031
Location: Smithers, BC, Canada

PostPosted: Thu 03 Sep 2009, 09:19    Post subject:  

technowombie wrote:
I can't get a word processor working

A quick check shows that ch-OpenOffice-3.0.sfs loaded at boot with System->Bootmanager works. Unfortunately ch-abi2.6.4 is missing some dependencies.
Back to top
View user's profile Send private message 
aragon

Joined: 15 Oct 2007
Posts: 1698
Location: Germany

PostPosted: Thu 03 Sep 2009, 14:11    Post subject:  

@technowomble
run abiword from a terminal-window, this will give you missing dependencies, but only one at a time.

better to run the following commands from a terminal window.
Code:
which abiword

will give you the full path
Code:
ldd [abiword with path] | grep not

will give you a list of all missing libs.

if you post the output, we could assist you.

aragon

_________________
PUPPY SEARCH: http://wellminded.com/puppy/pupsearch.html
Back to top
View user's profile Send private message 
aragon

Joined: 15 Oct 2007
Posts: 1698
Location: Germany

PostPosted: Thu 03 Sep 2009, 14:15    Post subject:  

@Thom

difficult atm. i will try to but no promise.

aragon

_________________
PUPPY SEARCH: http://wellminded.com/puppy/pupsearch.html
Back to top
View user's profile Send private message 
DaveS


Joined: 09 Oct 2008
Posts: 3726
Location: UK

PostPosted: Thu 03 Sep 2009, 14:42    Post subject:  

[Solved] See below.


Hey Aragon, this is agreat concept. All going ok so far with Firefox 352 +Flash and simplemail, but unable to make printing work. I have installed CUPS 1.4b2 patched and Gutenprint driver pack but get this error when I try to print a test page
Code:
Unsupported format 'application/vnd.cups-banner'!

Can you or somebody point me in the direction of the solution please?

_________________
Spup Frugal HD and USB
Root forever!

Last edited by DaveS on Sat 05 Sep 2009, 01:19; edited 1 time in total
Back to top
View user's profile Send private message 
tlchost

Joined: 05 Aug 2007
Posts: 1674
Location: Baltimore, Maryland USA

PostPosted: Thu 03 Sep 2009, 15:15    Post subject:  

aragon wrote:

difficult atm. i will try to but no promise.


I understand.

Thom
Back to top
View user's profile Send private message Visit poster's website 
technowomble


Joined: 11 Oct 2007
Posts: 76
Location: West Gloucestershire, UK

PostPosted: Fri 04 Sep 2009, 06:01    Post subject:  

@ aragorn

I've done a clean install and installed the abiword-2.6.3-complete-pup421 from Package manager. The installation report and the code you suggested report the same missing dependencies:-
libgnomeprint-2-2.so.0
libgnomeprintui-2-2.so.0
libgoffice-0.6.so.6
libwv-1.2.so.3
libAiksaurusGTK-1.2.so.0
libAiksaurus-1.2.so.0

I think the first 3 relate to goffice, and the last 2 to a thesaurus?
Back to top
View user's profile Send private message 
Nekroze


Joined: 22 Aug 2009
Posts: 56

PostPosted: Fri 04 Sep 2009, 06:45    Post subject:  

Question?

This is more related to how it was built rather then the final product:

i myself have been starting on the track to making my next pupplet through puppy unleashed. although i have obtained the unleashed 4.2.1 tarball i cannot even extract it without significant errors. i used the terminal command tar -zxf as suggested on the unleashed page at puppylinux.com but as i said it had a fair amount of errors. so i attempted to use my windows install to extract it with winrar and it had problems with replacing files of the same name but i have reason to believe that is because windows has problems with file names that are the same but different CASING but the unleashed extract was larger then the one i untar'd in puppy.\

sorry to be off the topic a fair amount but it would be incredibly helpful at this time and well i would owe you one lol!

but either way thanks for the barebones, but one more question is it SMP enabled?

Nekroze
Back to top
View user's profile Send private message 
DaveS


Joined: 09 Oct 2008
Posts: 3726
Location: UK

PostPosted: Fri 04 Sep 2009, 14:49    Post subject:  

DaveS wrote:
Hey Aragon, this is agreat concept. All going ok so far with Firefox 352 +Flash and simplemail, but unable to make printing work. I have installed CUPS 1.4b2 patched and Gutenprint driver pack but get this error when I try to print a test page
Code:
Unsupported format 'application/vnd.cups-banner'!

Can you or somebody point me in the direction of the solution please?


YAY, got it figured.......... the printer speaks Smile

_________________
Spup Frugal HD and USB
Root forever!
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 3 [32 Posts]   Goto page: 1, 2, 3 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Derivatives
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0779s ][ Queries: 13 (0.0048s) ][ GZIP on ]